Project

General

Profile

Bug #2455

rpm package requires libfluidsynth.so.1 but Fedora 33 provides libfluidsynth.so.2 only

Added by vvv over 1 year ago. Updated 10 months ago.

Status:
Resolved
Priority:
Normal
Assignee:
Deng Team
Category:
3rd party compatibility
Target version:
Start date:
2021-03-20
% Done:

100%


Description

Starting from version 33 Fedora provides only fluidsynth2 package. It causes Fluidsynth music plugin not to work.


Related issues

Related to Bug #2431: Doomsday needs libfluidsynth1 but ubuntu 20.04 provides libfluidsynth2 onlyResolved2020-09-21

History

#1 Updated by skyjake about 1 year ago

  • Related to Bug #2431: Doomsday needs libfluidsynth1 but ubuntu 20.04 provides libfluidsynth2 only added

#2 Updated by skyjake about 1 year ago

  • Category set to 3rd party compatibility
  • Status changed from New to Resolved
  • Target version set to Build system and tools
  • % Done changed from 0 to 100

Same solution as in #2431.

#3 Updated by vvv 10 months ago

I've just tried 2.3.2-build3869-1 compiled with DENG_FLUIDSYNTH_EMBEDDED. No sound with fluidsynth enabled. The only message in log:
[FluidSynth] Failed to create synthesizer
Sound fonts installed. Older versions with dinamically linked libfluidsynth.so.1 work fine for me.

Also available in: Atom PDF